Package org.zkoss.zul

## Interface PageableModel

- All Superinterfaces:
    `Pageable`
  All Known Implementing Classes:
    `AbstractListModel`, `AbstractTreeModel`, `DefaultTreeModel`, `DefaultTristateTreeModel`, `GroupsListModel`, `ListModelArray`, `ListModelArrayProxy`, `ListModelList`, `ListModelListProxy`, `ListModelMap`, `ListModelMapProxy`, `ListModelSet`, `ListModelSetProxy`, `SimpleListModel`

      public interface PageableModel
      extends Pageable

  Provide methods to manage PagingListeners
  Since:
    8.5.2
  Author:
    charlesqiu
  See Also:
    `PagingEvent`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `INTERNAL_EVENT` | A flag different from standard PagingEvent, differentiating standard PagingEvent from Paging component and PagingEvent from PageableModel

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addPagingEventListener​(PagingListener listener)` | Adds a listener to the list of listeners to be notified when a PagingEvent happens outside of standard Paging component
    `int` | `getTotalSize()` | Returns the total number of items.
    `void` | `removePagingEventListener​(PagingListener listener)` | Removes a listener from the list of listeners to be notified when a PagingEvent happens outside of standard Paging component

    - ### Methods inherited from interface org.zkoss.zul.ext.Pageable

      `getActivePage, getPageCount, getPageSize, setActivePage, setPageSize`

- - ### Field Detail

    - #### INTERNAL_EVENT

          static final java.lang.String INTERNAL_EVENT

      A flag different from standard PagingEvent, differentiating standard PagingEvent from Paging component and PagingEvent from PageableModel
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getTotalSize

          int getTotalSize()

      Returns the total number of items.
      Since:
        10.0.0

    - #### addPagingEventListener

          void addPagingEventListener​(PagingListener listener)

      Adds a listener to the list of listeners to be notified when a PagingEvent happens outside of standard Paging component
      Parameters:
        `listener` -

    - #### removePagingEventListener

          void removePagingEventListener​(PagingListener listener)

      Removes a listener from the list of listeners to be notified when a PagingEvent happens outside of standard Paging component
      Parameters:
        `listener` -